## Batch **post** `/computers/{id}/batch` Execute a batch of actions in sequence, stopping on first error ### Path Parameters - `id: string` ### Body Parameters - `actions: optional array of ComputerAction` - `auto_detect_encoding: optional boolean` For get_html_content - `base64: optional boolean` For screenshot - `button: optional string` - `debug: optional object { command, cwd, env, 4 more }` - `command: optional string` - `cwd: optional string` - `env: optional map[string]` - `max_output_length: optional number` - `request_id: optional string` - `stream: optional boolean` - `timeout_seconds: optional number` - `dx: optional number` For scrolling - `dy: optional number` - `height: optional number` - `include_context: optional boolean` Include page context in response - `key: optional string` For key_down/key_up - `keys: optional array of string` - `ms: optional number` - `proxy_url: optional string` - `request_id: optional string` RequestId is used for correlating streaming output to the originating request. Set on ActionRequest, not individual action types. - `scale_factor: optional number` - `tab_id: optional string` For tab management (browser sessions only) - `text: optional string` - `type: optional string` click|double_click|right_click|drag|type|keypress|scroll|wait|screenshot|go_to_url|debug|get_html_content|set_viewport|list_tabs|new_tab|switch_tab|close_tab|key_down|key_up|mouse_down|mouse_up - `url: optional string` - `width: optional number` For set_viewport - `x: optional number` - `x1: optional number` For dragging/scrolling - `x2: optional number` For dragging - `y: optional number` - `y1: optional number` - `y2: optional number` ### Example ```http curl https://api.tzafon.ai/computers/$ID/batch \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $TZAFON_API_KEY" \ -d '{}' ```